# Uses of Class
com.databricks.jdbc.dbclient.impl.common.SessionId

Packages that use SessionId
Package
Description
com.databricks.jdbc.dbclient.impl.common

## Uses of SessionId in com.databricks.jdbc.dbclient.impl.common

Methods in com.databricks.jdbc.dbclient.impl.common that return SessionId
Modifier and Type
Method
Description
`static SessionId`
SessionId.`create(ImmutableSessionInfo sessionInfo)`
Creates a SessionId identifier for a given Thrift Server session-Id
`static SessionId`
SessionId.`deserialize(String serializedSessionId)`
Deserializes a SessionId from a serialized string